
///////////////////////////////////////////////////////////////////////////////  
//文件名称: WinProductEditor.xaml
//文件描述: WinProductEditor.xaml
//创 建 者: xls
//创建日期: 2018/5/23 23:27:03
//版 本 号：1.0.0.0
////////////////////////////////////////////////////////////////////////////////

using System;
using System.Windows;
using Com.FirmLib.UI.Common;
using FWindSoft.Wpf;
using FWindSoft.Wpf.SystemTypeExtensions;

namespace Com.FirmLib.UI.Manufacturer
{
    /// <summary>
    /// WinProductEditor.xaml 的交互逻辑
    /// </summary>
    public partial class WinProductEditor : BaseWindow
    {
        private VmProductEditor m_Vm;
        public WinProductEditor():this(new VmProductEditor())
        {
           
        }
        public WinProductEditor(VmProductEditor vm)
        {
            InitializeComponent();          
            this.m_Vm = vm;
            this.m_Vm.SetRefView(this);
            this.m_Vm.WatchValidateResult(() => !this.HasError());
            this.DataContext = this.m_Vm;
        }

        protected override void LoadData(LoadParameter parameter)
        {
            TryCatchWrapper.Handled(() => this.m_Vm.Init(parameter));
        }
        #region 界面关联事件
        private void btnOK_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                bg.UpdateSourceForEach();
                if (this.HasError())
                {
                    //MessageShow.Infomation("请修改错误输入项");
                    return;
                }        
            }
            catch (Exception ex)
            {
                //MessageShow.Show(ex);
            }
        }

        private void btnCancel_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
        #endregion
        /// <summary>
        /// 使用的品牌Id
        /// </summary>
        public string BrandId
        {
            get
            {
                if (this.m_Vm.CurrentBrandId == null)
                    return string.Empty;
                return this.m_Vm.CurrentBrandId;
            }
        }
        /// <summary>
        /// 产品Id
        /// </summary>

        public string ProductId { get { return this.m_Vm.ProductId; } }
        /// <summary>
        /// 管理产品类型号
        /// </summary>
        public bool ManageType { get { return this.m_Vm.ManageType; } }
    }
}
